Package org.eclipse.emf.cdo.workspace

## Interface CDOWorkspaceBase2

- All Superinterfaces:
    `CDORevisionProvider`, `CDOWorkspaceBase`
  All Known Subinterfaces:
    `InternalCDOWorkspaceBase`

      public interface CDOWorkspaceBase2
      extends CDOWorkspaceBase

  Adds `isEmpty()` and `containsID(CDOID)` methods.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `containsID​(CDOID id)` |
    `boolean` | `isAddedObject​(CDOID id)` |
    `boolean` | `isEmpty()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.emf.cdo.workspace.CDOWorkspaceBase

      `getIDs, getWorkspace`

- - ### Method Detail

    - #### isEmpty

          boolean isEmpty()

    - #### containsID

          boolean containsID​(CDOID id)

    - #### isAddedObject

          boolean isAddedObject​(CDOID id)